Page MenuHomeMiraheze

Introduce support for multi database servers
Closed, ResolvedPublic

Description

More of a now-upstream feature but a future proofing for Miraheze feature. We should introduce supporting for database clusters which has some smart multi creation logic (and a manual override?).

Should have ManageWiki support if enabled as well.

Related Objects

Event Timeline

John triaged this task as Low priority.Sep 20 2018, 23:38
John created this task.
Paladox added a subscriber: Paladox.Sep 20 2018, 23:55
AmandaCath removed a subscriber: AmandaCath.
John moved this task from Backlog to Features on the ManageWiki board.Apr 5 2019, 04:44
Paladox added a comment.Aug 1 2019, 17:53

Can the priority be adjusted please? Now that we have db5 doing this would be great!

(Though support for setting which db for the wiki to use would also be needed)

John added a comment.Aug 1 2019, 18:05

Priority of all dev tasks are low. It’s my highest prio task

John removed John as the assignee of this task.Apr 7 2020, 12:36
John moved this task from Backlog to Features on the CreateWiki board.Apr 12 2020, 20:56
John moved this task from Backlog to Miraheze Extensions on the Goal-2020-Jul-Dec board.
John claimed this task.Sat, Jul 11, 18:13
John closed this task as Resolved.Sun, Jul 12, 17:23